/* Body */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    display: flex;
    flex-direction: column;
    background: #EDECE4;
    width: 100%;
    border: 10px solid #CBC6B9;
}
/* Main */
main{
    margin: 50px 0px;
    display: flex;
    width: 60vw;
    height: 90vh;
}

main > div{
    width: 50%;

}

.logo{
    width: 201px;
}

.content-img-man{
    display: flex;
    justify-content: center;
}
.image2 {
    margin-left: 25%;
    width: 550px;
    height: 700px;
    transition: transform 0.3s, box-shadow 0.3s;
}

.image2:hover {
    transform: scale(1.05); /* Aumenta a escala da imagem em 5% */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2); /* Adiciona uma sombra sutil */
}

 p{
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 18px;
    font-weight: 500;
}

span{
    display: flex;
    gap: 10px;
}
.markenGreen{
    width: 12px;
    height: 12px;
    border-radius: 12px;
    background-color: green;
}


.textHours{
    width: 318px;
    display: flex;
    align-items: center;
    margin-top: 60px;
   
}
.borda{
    margin: 10px 0px;
    border-bottom: 2px solid black;
}
.paragrafo{
    width: 225px;
    border-right: 2px solid black;
}

.phone{
    font-family: 'PT Mono';
    font-size: 18px;
    font-weight: 400;
    font-size: 18px;
    line-height: 30px;

    color: #988C77;
    margin-top:40px;
}

.barra{
    color: #2A2426;

    margin-top: 100px;
    font-family: 'PT Mono';
    font-size: 7em;
    font-weight: 600;
    line-height: 30px;
    text-align: left;
    line-height: 30px;
}


/* Cardapio */
main, article, section {
    margin: 50px auto;
    display: flex;
    width: 60vw;
    height: 100vh;
}



.ContainerCardapio {
    width: 60vw;
}

.titleCardapio {
    font-family: 'PT Mono';
    font-size: 18px;
    font-weight: 400;
    line-height: 30px;
    color: #2A2426;
}

.contentCardapio {
    margin-left: 5%;
}

.titlesContent {
    font-family: 'Aref Ruqaa';
    font-size: 1.5em;
    font-weight: 400;
    line-height: 30px;
    color: #2A2426;
}

.bordaTop {
    margin-left: 30px;
    width: 25%;
    height: 14.5px;
    border-bottom: #2A2426 solid 2px;
}

.lists {
    margin: 10px 0px 50px 0px;
}

ul {
    width: 100%;
    padding-top: 20px;
}

.cardapio p,
.pratos p {
    font-family: 'PT Mono';
    font-size: 1em;
    line-height: 35px;
    display: inline-block;
    color: #2A2426;
}

em {
    font-family: 'PT Mono';
    margin-left: -50px;
    font-size: 0.8em;
    font-weight: 600;
    line-height: 35px;
    color: #988C77;
}

li {
    list-style-type: none;
}

.imagesPratos {
    margin-top: 12%;
    margin-left: 10%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.imagesPratos img {
    width: 80%;
    padding-bottom: 50%;
    transition: transform 0.3s, filter 0.3s;
}

.imagesPratos img:hover {
    transform: scale(1.05);
    filter: saturate(150%);
}






/* Contato */


form{
    width: 33vw;
    margin-left: 18vw;
}

label{
    font-size: 18px;
    color: #2A2426;
    line-height: 30px;
    white-space: nowrap;
}

#email{
    width: 50%;
}
.tel{
    margin-left: 44%;
}
#tel {
    width: 42.6%;
    margin-left: 20px;
}

#name{
    width: 100%;
}
.msg{
    margin: 5px 0px;
}

#msg{
    width: 100%;
    height: 25vh;
}
input, textarea{
    border: solid 2px #988C77;
    height: 25px;
}

button {
    margin-top: 10px;
    line-height: 30px;
    font-size: 18px;
    color: #988C77;
    width: 200px;
    height: 5vh;
    background: rgba(255, 255, 255, 0.002);
    border: 2px solid #988C77;
    box-shadow: 5px 5px 0px -2px #CBC6B9, 5px 5px 0px #988C77;
    transition: background-color 0.3s, color 0.3s, transform 0.3s, box-shadow 0.3s;
    cursor: pointer;
}

button:hover {
    background-color: #d9d5cd;
    color: #988C77; /* Altera a cor do texto no hover */
    transform: translate(2px, 2px); /* Adiciona um leve deslocamento ao botão */
    box-shadow: 2px 2px 0px -2px #CBC6B9, 2px 2px 0px #988C77; /* Modifica a sombra no hover */
}


.textContact{
    margin-top: -10%;
}
form p{
    color: #2A2426;
}
.textContact p{
    text-align: end;
    line-height: 30px;
    color: #988C77;
    font-size: 1em;
}

.mapPhoto{
    margin-top: 10%;
    width: 100%;
    border: 5px solid #CBC6B9;
}

/* Footer */
footer{
    background: #2A2426;
    box-shadow: 0px 0px 0px 10px #2A2426;
    height: 70px;
    display: flex;
    align-items: center;
}

footer p{
    font-family: 'PT Mono';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 30px;
    margin-left: 18%;

    color: #EDECE4;

}

.iconFooter{
    margin-left: 25%;
}
.contentCardapio p{
    font-size: 1em;
}
.contato, .ContainerCardapio{
    margin-top: 10%;
}

@media only screen and (max-width: 768px) {
    body {
        border: 5px solid #CBC6B9;
    }

    main {
        flex-direction: column;
        width: 90vw;
        height: auto;
    }
    .paragrafo{
        margin-left: 20%;
    }
    main > div {
        width: 90%;
    }

    .logo {
        width: 70%;
        margin-left: 20%;
    }
    .phone{
        margin-left: 20%;
        margin-bottom: 20px;
    }
    .image2 {
        margin-left: 15%;
        width: 60%;

        height: auto;
    }

    .barra {
        display: none;
    }
    .bordaTop{
        margin-left: 0px;
        margin-bottom: 40px;
        width: 150px;
    }
    .titlesContent{
        text-align: center;
    }

    article, section {
        width: 100%;
    }

    .ContainerCardapio, .contato {
        flex-direction: column;
        align-items: center;
    }

    .contentCardapio, form {
        width: 90%;
    }

    .imagesPratos {
        margin-left: 0;
        margin-top: 10%;
    }

    .imagesPratos img {
        width: 100%;
        padding-bottom: 50%;
    }


    .contato {
        margin-top: 450px;
        padding: 20px; /* Adiciona algum espaço interno */
    }

    .titleCardapio {
        text-align: center; /* Centraliza o título */
    }

    .form {
        margin-top: 30px;
        margin-left: -150px;
        width: 85vw; /* Ocupa toda a largura do container */
    }


    .insputs label,
    .insputs input,
    .insputs textarea,
    .insputs button,
    .textContact {
        width: 100%; /* Faz com que os elementos ocupem a largura total */
        box-sizing: border-box; /* Inclui padding e border na largura total */
        margin-bottom: 10px; /* Espaçamento entre os elementos */
    }
    .textContact{
        margin-top: 20px;
    }

      #email{
        width: 55%;
    }

    #tel{
        width: 30%;
    }

    footer{
        margin-top: 21%;
    }
}

    
footer {
    height: auto;
    padding: 20px;
    text-align: center;
}

@media only screen and (max-width: 1024px) and (min-width: 600px){
    .article {
        margin-bottom: 50%;
        margin-right: auto;
    }

    footer{
        margin-top: 25%;
    }
    .form {
        
        margin-left: -200px;
        width: 55vw; /* Ocupa toda a largura do container */
    }
}
@media only screen and (max-width: 280px){
    main{
        width: 100vw;
    }
    body{
        width: 100vw;
    }
    form{
        margin-left: 100px;
    }
}
@media only screen and (max-width: 610px) and (min-width: 500px){
    .form {
        margin-left: -220px;
        width: 85vw; /* Ocupa toda a largura do container */
    }
}

/* Estilos adicionais para tablets */
@media only screen and (min-width: 768px) and (max-width: 1024px) {
    /* Ajuste a largura do contêiner principal */
    body {
        border: 5px solid #CBC6B9;
        width: 100%;
    }

    main {
        flex-direction: column;
        width: 90vw;
        height: auto;
    }
    .paragrafo{
        margin-left: 20%;
    }
    main > div {
        width: 90%;
    }

    .logo {
        width: 70%;
        margin-left: 20%;
    }
    .phone{
        margin-left: 20%;
        margin-bottom: 20px;
    }
    .image2 {
        margin-left: 15%;
        width: 60%;

        height: auto;
    }

    .barra {
        display: none;
    }
    .bordaTop{
        margin-left: 0px;
        margin-bottom: 40px;
        width: 150px;
    }
    .titlesContent{
        text-align: center;
    }

    article, section {
        width: 90vw;
        margin: 30px auto;
    }

    .ContainerCardapio, .contato {
        flex-direction: column;
        align-items: center;
    }

    .contentCardapio, form {
        width: 90%;
    }

    .imagesPratos {
        margin-top: 20px;
        margin-left: 0;
    }
    article{
        margin-bottom: 180px;
    }
    .contato{
        margin-top: 60px;
    }
    .imagesPratos img {
        width: 100%;
        padding-bottom: 40%;
    }

    main {
        width: 80vw;
    }
     .textContact{
        margin-top: 20px;
    }

    .imagesPratos{
        margin-top: 60px;
        margin-right: -90px;
    }
    #email, #tel{
        width: 43%;
    }
    .image2{
        width: 50%;
        height: 80%;
    }
    /* Ajuste a margem esquerda do formulário para centralizá-lo */
    .form {
        margin-top: 30px;
        margin-left: -350px;
        margin-right: auto;
    }
    .contato{
        
    }
}

